#include<bits/stdc++.h>
using namespace std;
int main(){
cin.tie(0);
cout.tie(0);
ios::sync_with_stdio(0);
    string t,s;
    cin >> t >> s;
    int m = s.length();
    int n = count(t.begin(), t.end(), 'a');
    cout << max(0,n-m+1) << "\n";
    for(int i=0;i<t.length();++i){
        if(n>m-1&&t[i]=='a'){
            t[i]='*';
            --n;
        }
        cout << t[i];
    }
    return 0;
}